Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Read a pending Google sign-up
GET
/api/v1/auth/google/pending
const url = 'https://api.pitch2sale.com/api/v1/auth/google/pending';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.pitch2sale.com/api/v1/auth/google/pendingPrefill for the “Company or workspace name” step. Reads the google_login_signup cookie set by the callback (send with credentials); no query parameters.
Responses
Section titled “Responses”The verified Google profile
Media typeapplication/json
object
email
required
string
first_name
required
string
last_name
required
string
picture
string
Examplegenerated
{ "email": "example", "first_name": "example", "last_name": "example", "picture": "example"}Missing, unknown, used or expired sign-up cookie (GOOGLE_SIGNUP_EXPIRED)
Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}